package alrosine.ean.upc;

import java.util.Date;

/**
 * Provides Product details for the UPC retrieved
 */
public interface UpcProduct {

	public Date getLastModified();

	public String getEan13();

	public String getUpcA();

	public String getUpcE();

	public String getIsbn();

	public String getName();

	public String getDescription();

	public boolean isLongDescription();

	public String getCategoryCode();

	public String getCategoryName();

	public String getCompanyUrl();

	public String getProductImageUrl();

	public byte[] getProductImage();

	public String getBarcodeUrl();

	public byte[] getBarcodeImage();

	public boolean isLocked();

}
