package alrosine.ean.upc.impl;

public enum UpcQueryServiceMode {

	  Csv("csv")
	, Json("json")
	, Xml("xml")
	;

	private String value;

	private UpcQueryServiceMode(String value) {
		this.value = value;
	}

	public String getValue() {
		return value;
	}

	public static UpcQueryServiceMode getByMode(String mode) {
		if (mode != null) {
			for(UpcQueryServiceMode upcQueryServiceMode : UpcQueryServiceMode.values()) {
				if (upcQueryServiceMode.getValue().equalsIgnoreCase(mode)) {
					return upcQueryServiceMode;
				}
			}
		}
		return null;
	}

}
