package alrosine.ean.upc.impl;

import alrosine.ean.upc.UpcCompany;
import alrosine.ean.upc.UpcProduct;
import alrosine.ean.upc.UpcResponse;

/**
 * Default implementation of the UpcResponse interface
 */
public class UpcResponseImpl implements UpcResponse {

	private String upc;
	private int responseVersion;
	private int returnCode;
	private String requestType;
	private UpcProduct product;
	private UpcCompany company;

	@Override
	public String getUpc() {
		return upc;
	}

	public void setUpc(String upc) {
		this.upc = upc;
	}

	@Override
	public int getResponseVersion() {
		return responseVersion;
	}

	public void setResponseVersion(int responseVersion) {
		this.responseVersion = responseVersion;
	}

	@Override
	public int getReturnCode() {
		return returnCode;
	}

	public void setReturnCode(int returnCode) {
		this.returnCode = returnCode;
	}

	@Override
	public String getRequestType() {
		return requestType;
	}

	public void setRequestType(String requestType) {
		this.requestType = requestType;
	}

	@Override
	public UpcProduct getProduct() {
		return product;
	}

	public void setProduct(UpcProduct product) {
		this.product = product;
	}

	@Override
	public UpcCompany getCompany() {
		return company;
	}

	public void setCompany(UpcCompany company) {
		this.company = company;
	}
}
