package alrosine.json;

public enum Encoding {

	Solidus("\\/", "/")
	;

	private String encodedValue;
	private String decodedValue;

	private Encoding(String encodedValue, String decodedValue) {
		this.encodedValue = encodedValue;
		this.decodedValue = decodedValue;
	}

	public String getEncodedValue() {
		return encodedValue;
	}

	public String getDecodedValue() {
		return decodedValue;
	}
}
