package alrosine.json.exception;

public class JsonDuplicateNameException extends RuntimeException {

	private static final String NAME_REPLACEMENT_VALUE = "~~~Name~~~";
	private static final String EXCEPTION_MESSAGE = "JsonObject with name '" + NAME_REPLACEMENT_VALUE + "' has already been defined.";

	public JsonDuplicateNameException(String name) {
		super(EXCEPTION_MESSAGE.replaceAll(NAME_REPLACEMENT_VALUE, name));
	}

}
